The BOOST_PP_TUPLE_TO_LIST macro converts a tuple to a list.

#### Usage

BOOST_PP_TUPLE_TO_LIST(tuple) (v)
or
BOOST_PP_TUPLE_TO_LIST(size, tuple) (v)

#### Arguments

size
  The size of the tuple to be converted. The argument is ignored.
tuple
  The tuple to be converted.

#### Remarks

You can invoke the variadic maco (v) as BOOST_PP_TUPLE_TO_LIST(tuple) or BOOST_PP_TUPLE_TO_LIST(size,tuple) for backward compatibility.

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/to_list.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/to_list.hpp>

    BOOST_PP_TUPLE_TO_LIST((x, y, z))
       // expands to (x, (y, (z, BOOST_PP_NIL)))

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011,2013,2020

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)